## Releases order

### cURL

```bash
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/order/cross-border/release-order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "orderNumber": "<string>",
  "reasonCode": "<string>",
  "subReasonCode": "<string>",
  "note": "<string>"
}
'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/cross-border/release-order"

payload = {
    "orderNumber": "<string>",
    "reasonCode": "<string>",
    "subReasonCode": "<string>",
    "note": "<string>"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    orderNumber: '<string>',
    reasonCode: '<string>',
    subReasonCode: '<string>',
    note: '<string>'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/cross-border/release-order', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

**400**

**404**

**500**

```json
{
  "message": "Order number is required"
}
```

```json
{
  "message": "Order Not found"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

**Authorization**  
Type: `string`  
Location: `header`  
Required: Yes

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

**x-site-context**  
Type: `string`  
Required: Yes

The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:
```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Body

**CrossBorderReleaseOrderRequest Model**  
**orderNumber**  
Type: `string`

**releaseType**  
Type: `enum<string>`  
Available options: `RELEASE`, `CANCEL`

**reasonCode**  
Type: `string`

**subReasonCode**  
Type: `string`

**note**  
Type: `string`

### Response

**200**
Success
